<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Regex exercises</title>
</head>

<body>
    <script>

        // Ülesanne 1
        // Kirjuta regulaaravaldis tuvastamaks, kas tekst ‘Aias sadas saia’ sisaldab teksti ‘Aia’.
        const ex1Text = 'Aias sadas saia.';
        const ex1Re = /AIA/i;
        console.log('Ex 1', ex1Re.test(ex1Text));

        // Ülesanne 2
        // Kirjuta regulaaravaldis tuvastamaks, kas tekst ‘Nimi: Axel’ algab tekstiga ‘Nimi: ’.
        const ex2Text = 'Nimi: Axel';
        const ex2Re = /^Nimi:\s/;
        console.log('Ex 2', ex2Re.test(ex2Text));

        // Ülesanne 3
        // Kirjuta regulaaravaldis tuvastamaks, kas tekstis ‘Tallinnas elab 450000 inimest.’ on
        // number;
        // numbri pikkus on vahemikus 3 - 6 kohta;
        // number asub teksti lõpus
        const ex3Text = 'Tallinnas elab 450000 inimest.';
        const ex3Re = /[0-9]{3,6}$/;
        console.log('Ex 3', ex3Re.test(ex3Text));

        // Ülesanne 4
        //
        // Kirjuta regulaaravaldis tuvastamaks, kas sisestatud paroolid vastavad nõuetele. 
        // Nõuded: 
        // pikkus vähemalt 6 märki, 
        // peab sisaldama nii tähti kui numbreid, 
        // peab sisaldama nii suur- kui väiketähti, 
        // ei tohi alata numbriga, 
        // peab sisaldama vähemalt üht kahekohalist numbrit.
        //
        // Paroolid:
        // parool
        // salaDus
        // Password123
        // Nipitiri686
        // 112BigSecr5t

        const ex4Re = /(?=.{6,})(?=.*[a-z]+.*)(?=.*[A-Z]+.*)(?=.*[0-9]+.*)(?=^[^0-9].*)(?=.*\d\d\.*)/;
        console.log('Ex 4', ex4Re.test('BigSecr567t'));

        // Ülesanne 9
        // Kirjuta regulaaravaldis, mis loeks fragmendist 
        // <h1>See on pealkiri</h1> 
        // h1-elementide vahel oleva väärtuse ja asendaks selle väärtusega SEE ON TEINE PEALKIRI.
        let ex9Text = '<h1>See on pealkiri</h1>';
        const ex9Re = /(?<=<h1>).*?(?=<\/h1>)/g;
        console.log('Ex 9', ex9Text.match(ex9Re));
        ex9Text = ex9Text.replace(ex9Re, 'SEE ON TEINE PEALKIRI.');
        console.log('Ex 9', ex9Text);

    </script>
</body>

</html>